<html>
	<head> 
		<meta charset="utf-8">
		<link rel="stylesheet" href="{{ url_for('static',filename='styles/style.css') }}" type="text/css">
		<link href='https://fonts.googleapis.com/css?family=Nunito:400,300' rel='stylesheet' type='text/css'>
	</head>
	<body>
		<div class="topnav" id="myTopnav">
			  <a href="/">Home</a>
			  <a href="consultar">Consultar</a>
			  <a href="anyadir "class="active">Añadir</a>
			  <a href="borrar">Borrar</a>
			  <a href="modificar">Modificar</a>
		</div>
			
		<form action="anyadidor" method="get" onsubmit="return validacion()">
			<h1>Añadir</h1>
			<legend><span class="punto"> </span>De la siguiente tabla:</legend>
			
			<select id="tablas" name="tablas">
				<option value="productos" onclick="myFunction1()">Productos</option>
				<option value="fabricantes" onclick="myFunction2()">Fabricantes</option>
				<option value="tipos" onclick="myFunction3()">Tipos</option>
			</select>
			
				<div id="productos">
					<legend><span class="punto"> </span>Añadir:</legend>
						descripción: <input type="text" id="columna1" name="columna1" value=""><br>
						precio: <input type="text" id="columna2" name="columna2" value=""><br>
						
						id_fab: <select name="columna3">	
				
							{% for r in rows2 %}
					
								<option value={{r[0]}}>{{r[1]}}</option>
					
							{% endfor %}
			
						</select> 
						
						<br>
						
						id_tipo: <select name="columna4">
				
							{% for r in rows %}
					
								<option value={{r[0]}}>{{r[1]}}</option>
					
							{% endfor %}
			
						</select>
						
				
				</div>
				
				<div id="fabricantes">
					
					<legend><span class="punto"> </span>Añadir:</legend>
						descripción: <input type="text" id="columna5" name="columna5" value=""><br>
						fecha_alta: <input type="text" id="columna6" name="columna6" value="" pattern="[0-9]{4}-(0[1-9]|1[1-2])-(0[1-9]|[1-2][0-9]|3[0-1])" placeholder="aaaa-mm-dd">
						<br><br>
				
				</div>
				
				<div id="tipos">
					<legend><span class="punto"> </span>Añadir:</legend>
						id_tipo: <input type="text" id="columna7" name="columna7" value=""><br>
						tipo: <input type="text" id="columna8" name="columna8" value=""><br>
				</div>
				<br><br>
				<input type="submit" class="myButton" value="Enviar">

		</form>
		
		{% if error == True %}
		
			<script>
			
				alert("No se puede repetir la clave primaria (en el caso de la tabla tipos) o se ha producido un error a la hora de añadir. Vuelva a intentarlo.");
		
			</script>
			
		{% endif %}
		
		{% if error == False %}
		
			<script>
			
				alert("Se ha añadido con éxito.");
		
			</script>
			
		{% endif %}
		
		<script>
			
			function myFunction1() {
				document.getElementById("productos").style.display = "block";
				document.getElementById("fabricantes").style.display = "none";
				document.getElementById("tipos").style.display = "none";
			}    
			function myFunction2() {
				document.getElementById("productos").style.display = "none";
				document.getElementById("fabricantes").style.display = "block";
				document.getElementById("tipos").style.display = "none";
			}    
			function myFunction3() {
				document.getElementById("productos").style.display = "none";
				document.getElementById("fabricantes").style.display = "none";
				document.getElementById("tipos").style.display = "block";
			}
			function validacion() {
				tabla = document.getElementById("tablas").selectedIndex;
				if ( tabla == 0 ) {
					valor = document.getElementById("columna1").value;
					if( valor == null || valor.length == 0 || /^\s+$/.test(valor) ){
						alert("No puedes dejar los campos vacíos.");
						return false;
					}
					valor2 = document.getElementById("columna2").value;
					if( valor2 == null || valor2.length == 0 || /^\s+$/.test(valor2) ){
						alert("No puedes dejar los campos vacíos.");
						return false;
					}
					else if ( isNaN(valor2) ) {
						alert('En el campo "precio" no se puede añadir letras ni comas.');
						return false;
					}
					return true;
				}
				else if ( tabla == 1) {
					valor3 = document.getElementById("columna5").value;
					if( valor3 == null || valor3.length == 0 || /^\s+$/.test(valor3) ){
						alert("No puedes dejar los campos vacíos.");
						return false;
					}
					valor4 = document.getElementById("columna6").value;
					if( valor4 == null || valor4.length == 0 || /^\s+$/.test(valor4) ){
						alert("No puedes dejar los campos vacíos.");
						return false;
					}
					return true;
				}
				else {
					valor5 = document.getElementById("columna7").value;
					if( valor5 == null || valor5.length == 0 || /^\s+$/.test(valor5) ){
						alert("No puedes dejar los campos vacíos.");
						return false;
					}
					valor6 = document.getElementById("columna8").value;
					if( valor6 == null || valor6.length == 0 || /^\s+$/.test(valor6) ){
						alert("No puedes dejar los campos vacíos.");
						return false;
					}
					return true;
				}
			}
		</script>
	</body>

</html>
